<template>
  <div class="index">

    <NavBar />

    <Notification />

    <div id="mainBody" class="container-fluid">
      <div id="mainHomeContent">
        <!-- MAIN HEADER CONTENT -->
        <MainHeader :main_text="mainHeader.main_text"
                    :sub_text="mainHeader.sub_text"/>

        <!-- MIDDLE ROW CONTENT -->
        <div id="middleRow" class="row">
          <div class="row row-cols-1 row-cols-md-3 g-4">
            <!-- Restaurant Cards -->
            <RestaurantCard v-for="restaurant in this.$store.state.restaurants"
                            :key="restaurant._id"
                            :image="restaurant.website_parameter.img[0]"
                            :title="restaurant.information.name"
                            :detail="restaurant.website_parameter.detail"
                            :sub_detail="restaurant.website_parameter.sub_detail"
                            :link="restaurant._id"
                            :linkName="restaurant.website_parameter.link_name">
            </RestaurantCard>
          </div>
        </div>
      </div>
    </div>

    <!-- CONTACT US -->
    <ContactForm />

    <!-- FOOTER CONTENT -->
    <div>
      <Footer />
    </div>
  </div>
</template>

<script>
import NavBar from "../components/NavBar"
import MainHeader from "../components/MainHeader"
import RestaurantCard from "../components/RestaurantCard"
import ContactForm from "../components/ContactForm"
import Footer from "../components/Footer"
import Notification from "../components/Notification"

export default {
  name: "Index",
  components: {
    NavBar,
    MainHeader,
    RestaurantCard,
    ContactForm,
    Footer,
    Notification
  },
  data() {
    return {
      mainHeader: {
        main_text: "Find the taste of home",
        sub_text: "when you book with DropBearTable"
      }
    }
  },
  async created() {
    await this.$store.dispatch('getRestaurants')
  }
}
</script>

<style scoped>
p {
  color: #6d6d6d;
}

a {
  text-decoration: none;
}

select {
  color: #6d6d6d;
  border-color: #c6c6c6;
}

svg {
  color: #886565;
}

#middleRow {
  padding: 2rem;
  margin-left: 1rem;
  margin-bottom: 4rem;
}
</style>